ACN::SDT::Session Class Reference

The Session class A session has a single leader and zero or more session members. More...

`#include <session.h>`

## Public Member Functions

| Session ()
| Session::Session.
| ~Session ()
| Session::~Session & leaves the session gracefully.
SessionId | id ()
| Session::id. More...
void | join_accept ()
| Session::join_accept.
void | join_refuse ()
| Session::join_refuse.
void | leaving ()
| Session::leaving.
void | nak ()
| Session::nak.
void | reliable_wrapper ()
| Session::reliable_wrapper.
void | unreliable_wrapper ()
| Session::unreliable_wrapper.
void | ack ()
| Session::ack.
void | channel_params ()
| Session::channel_params.
void | leave ()
| Session::leave.
void | connect ()
| Session::connect.
void | connect_accept ()
| Session::connect_accept.
void | connect_refuse ()
| Session::connect_refuse.
void | disconnect ()
| Session::disconnect.
void | disconnecting ()
| Session::disconnecting.

## Protected Attributes

std::shared_ptr< ACN::Component > | leader
| session leader
std::shared_ptr< Channel > | downstream
| downstram channel
std::unordered_map< MID, std::shared_ptr< Channel > > | upstream
| upstream channel

## Detailed Description

The Session class A session has a single leader and zero or more session members.

The leader communicates to members using the downstream address. Members respond to the leader on the upstream address. A unique session identifier identifies a session.

## Member Function Documentation

## id()

SessionId ACN::SDT::Session::id | ( |  | ) |

Session::id.

Returns

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/session.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/session.cpp